Bug 1411940 - Manipulation of custom_custom attributes on provider class Provider fails
Summary: Manipulation of custom_custom attributes on provider class Provider fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.8.0
Assignee: Šimon Lukašík
QA Contact: Martin Kourim
URL:
Whiteboard:
Depends On:
Blocks: 1412280
TreeView+ depends on / blocked
 
Reported: 2017-01-10 19:25 UTC by Satoe Imaishi
Modified: 2018-03-13 11:44 UTC (History)
3 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1412280 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:22:39 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Satoe Imaishi 2017-01-10 19:25:57 UTC
From PR https://github.com/ManageIQ/manageiq/pull/12522:

The provider class Provider does not support custom_attributes, Thus any manipulation of custom_custom attributes on provider class Provider will fail similarly as in https://github.com/ManageIQ/manageiq/pull/12467.

Comment 3 Martin Kourim 2017-05-09 06:41:27 UTC
Verified by adding custom attribute to Satellite 6 provider:

POST /api/providers/1/custom_attributes?provider_class=provider
{
  "action": "add",
  "name": "ca_name_001",
  "value": "ca_value_001"
}


response:
{
  "error": {
    "kind": "bad_request",
    "message": "ManageIQ::Providers::Foreman::Provider does not support management of custom attributes",
    "klass": "Api::BadRequestError"
  }
}


Note You need to log in before you can comment on or make changes to this bug.